--- config.h.orig	2006-02-27 21:38:49.000000000 -0500
+++ config.h	2022-08-07 09:08:01.000000000 -0400
@@ -1,75 +1,83 @@
 
-#define _GNU_SOURCE 1			/* We make some use of C9X and POSIX and GNU facilities... */
+#ifndef MY_CONFIG_H
+    #define MY_CONFIG_H
 
-#define _FILE_OFFSET_BITS 64
-#define _LARGEFILE_SOURCE 1
-#define _LARGEFILE64_SOURCE 1
-
-#define HAVE_PTHREADSTACKSIZE 1
-#define HAVE_PPCCPU 1
-#ifndef LINUX
-	#if defined(__ppc__) || defined(__ppc64__)
-		#define HAVE_ALTIVEC 1
-	#elif defined(__i386__)
-		
-	#endif
+    #define _GNU_SOURCE 1			/* We make some use of C9X and POSIX and GNU facilities... */
+    
+    #ifndef _FILE_OFFSET_BITS
+        #define _FILE_OFFSET_BITS 64
+    #elif _FILE_OFFSET_BITS != 64
+        #undef _FILE_OFFSET_BITS
+        #define _FILE_OFFSET_BITS 64
+    #endif
+
+    #define _LARGEFILE_SOURCE 1
+    #define _LARGEFILE64_SOURCE 1
+
+    #define HAVE_PTHREADSTACKSIZE 1
+    #define HAVE_PPCCPU 1
+
+    #define HAVE_LIBPTHREAD 1
+
+    #ifndef LINUX
+        #if defined(__ppc__) || defined(__ppc64__)
+            #define ARCH_PPC
+            #define HAVE_ALTIVEC 1
+        #elif defined(__i386__)
+            #define ARCH_X86
+        #elif defined(__x86_64__)
+            #define ARCH_X86_64
+        #elif (defined(__arm64__) && defined(__APPLE__)) || defined(__aarch64__)
+            #define ARCH_ARM64
+        #else
+            #define ARCH_X86
+        #endif
+    #endif
+
+    #define HAVE_BUILTIN_EXPECT
+    
+    #define PRID64_STRING_FORMAT "lld"
+    
+    #define MJPEGTOOLS 1  
+    #define HAVE_GETTIMEOFDAY 1   
+    #define HAVE_FENV_H 1 
+    #define HAVE_INTTYPES_H 1
+    #define HAVE_MEMORY_H 1
+    #define HAVE_STDBOOL_H 1
+    #define HAVE_STDINT_H 1
+    #define HAVE_STDLIB_H 1
+    #define HAVE_STRINGS_H 1
+    #define HAVE_STRING_H 1
+    #define HAVE_SYS_STAT_H 1
+    #define HAVE_SYS_TIMEB_H 1
+    #define HAVE_SYS_TIME_H 1
+    #define HAVE_SYS_TYPES_H 1
+    #define HAVE_UNISTD_H 1
+    #define HAVE___PROGNAME
+    
+    #define PACKAGE "M2VDownsizer"
+    #define PACKAGE_BUGREPORT ""
+    #define PACKAGE_NAME ""
+    #define PACKAGE_STRING ""
+    #define PACKAGE_TARNAME ""
+    #define PACKAGE_VERSION ""
+    
+    #define RETSIGTYPE void
+    #define SIZEOF_INT 4
+
+    #define SIZEOF_LONG 4
+    #define SIZEOF_LONG_LONG 8
+
+    #define STDC_HEADERS 1
+    
+    #define VERSION "1.1"
+    
+    #ifndef LINUX
+        #define WORDS_BIGENDIAN 1
+    #endif
+
+    #define X_DISPLAY_MISSING 1
+    
+    #define inline inline __attribute__ ((__always_inline__))
+    #define restrict __restrict__
 #endif
-#define HAVE_LIBPTHREAD 1
-
-#ifndef LINUX
-	#if defined(__ppc__) || defined(__ppc64__)
-		#define ARCH_PPC
-	#elif defined(__i386__)
-		#define ARCH_X86
-	#endif
-#else
-#define ARCH_X86
-#endif
-
-#define HAVE_STDINT_H
-
-#define HAVE_BUILTIN_EXPECT 
-
-#define PRID64_STRING_FORMAT "lld"
-
-#define MJPEGTOOLS 1
-
-#define HAVE_GETTIMEOFDAY 1
-#define HAVE_FENV_H 1
-#define HAVE_INTTYPES_H 1
-#define HAVE_MEMORY_H 1
-#define HAVE_STDBOOL_H 1
-#define HAVE_STDINT_H 1
-#define HAVE_STDLIB_H 1
-#define HAVE_STRINGS_H 1
-#define HAVE_STRING_H 1
-#define HAVE_SYS_STAT_H 1
-#define HAVE_SYS_TIMEB_H 1
-#define HAVE_SYS_TIME_H 1
-#define HAVE_SYS_TYPES_H 1
-#define HAVE_UNISTD_H 1
-#define HAVE___PROGNAME 
-
-#define PACKAGE "DVDDownsizer"
-#define PACKAGE_BUGREPORT ""
-#define PACKAGE_NAME ""
-#define PACKAGE_STRING ""
-#define PACKAGE_TARNAME ""
-#define PACKAGE_VERSION ""
-
-#define RETSIGTYPE void
-#define SIZEOF_INT 4
-
-#define SIZEOF_LONG 4
-#define SIZEOF_LONG_LONG 8
-
-#define STDC_HEADERS 1
-
-#define VERSION "0.0.1"
-#ifndef LINUX
-#define WORDS_BIGENDIAN 1
-#endif
-#define X_DISPLAY_MISSING 1
-
-#define inline __attribute__ ((__always_inline__))
-#define restrict __restrict__
